Remove Project Roles (By ID)
Request
POST
https://api.sourcecraft.tech/projects/id:{project_id}/roles/remove
Path parameters
|
Name |
Description |
|
project_id |
Type: string Example: `` |
Body
application/json
{
"subject_roles": [
{
"role": "project_viewer",
"subject": {
"type": "user",
"id": "example"
}
}
]
}
|
Name |
Description |
|
subject_roles |
Type: ProjectSubjectRole[] Example
|
ProjectRole
Type: string
Enum: project_viewer, project_developer, project_maintainer, project_admin
SubjectType
Type: string
Enum: user, invitee, team
Subject
|
Name |
Description |
|
id |
Type: string Example: |
|
type |
Type: SubjectType Enum: |
Example
{
"type": "user",
"id": "example"
}
ProjectSubjectRole
ProjectSubjectRole contains information about a subject and its role in a project.
|
Name |
Description |
|
role |
Type: ProjectRole Enum: |
|
subject |
Type: Subject Example
|
Example
{
"role": "project_viewer",
"subject": {
"type": "user",
"id": "example"
}
}
Responses
200 OK
A successful response.
Body
application/json
{
"subject_roles": [
{
"role": "project_viewer",
"subject": {
"type": "user",
"id": "example"
}
}
],
"next_page_token": "example"
}
|
Name |
Description |
|
next_page_token |
Type: string A token, which can be sent as Example: |
|
subject_roles |
Type: ProjectSubjectRole[] Example
|
default
Both Client Errors (4xx) and Server Errors (5xx) are serialized into this scheme
Body
application/json
{
"error_code": "example",
"message": "example",
"request_id": "example",
"details": null
}
|
Name |
Description |
|
details |
Type: unknown Example: |
|
error_code |
Type: string Example: |
|
message |
Type: string Example: |
|
request_id |
Type: string Example: |